#!/usr/bin/perl


###################################
# Weiter nichts ndern ab hier
###################################
# --------------------------------------------------------
eval {
	($0 =~ m,(.*)/[^/]+,)   && unshift (@INC, "$1");	# Get the script location: UNIX /
	($0 =~ m,(.*)\\[^\\]+,) && unshift (@INC, "$1");	# Get the script location: Windows \

	require "clicount.cfg";	  # Change this to full path to clicount.cfg if you have problems.
  require "$db_admin_path/db.pl";
  require "$db_admin_path/admin_html.pl";
};
if($@) {
	print "Content-type: text/plain\n\n";
	print "Error including libraries: $@\n";
	print "Die Einstellungen sind nicht korrekt! Bitte Dateien, CHMOD Einstellungen und Pfade pruefen.";
}

# ========================================================

eval { &main; };                         # Trap any fatal errors so the program hopefully
if($@) { &cgierr("fatal error: $@"); }   # never produces that nasty 500 server error page.
exit;

sub main {
# --------------------------------------------------------
  $| = 1;	 # Flush Output Right Away
  
	local(%in) = &parse_form;
  
  # Main menu
  if   ($in{'clients_view'})          { &view_clients; }         # Displays all clients
  elsif($in{'clients_add'} == 1)      { &html_add_client; }      # Displays the add client form
  elsif($in{'clients_add'} == 2)      { &add_client; }           # Adds the clients data
  elsif($in{'clients_details'})       { &show_client; }          # Shows client's details
  elsif($in{'clients_modify'})        { &modify_client; }        # Saves changes to clients database
  elsif($in{'clients_delete'} == 1)   { &html_delete_client; }   # Shows confirmation question before...
  elsif($in{'clients_delete'} == 2)   { &delete_clientdata; }    # ...deleting a client
  elsif($in{'clients_log'})           { &client_log; }           # shows clients log files
  elsif($in{'clients_cntreset'} == 1) { &html_counter_reset; }   # Shows confirmation question before resetting counter
  elsif($in{'clients_cntreset'} == 2) { &counters_reset; }       # Resets all counters to 0. Deletes logs.
  
  elsif($in{'banners_view'})          { &html_view_banners; }    # Displays all banners
  elsif($in{'banners_add'} == 1)      { &html_add_banner; }      # Displays the add banner form
  elsif($in{'banners_add'} == 2)      { &add_banner; }           # Adds a banner
  elsif($in{'banners_delete'} == 1)   { &html_delete_banner; }   # Displays the delete banner form
  elsif($in{'banners_delete'} == 2)   { &delete_banner; }        # Deletes the banner
  
  elsif($in{'update'})                { &db_update; }            # Database update.
  
  else                                { &html_error("Unknown action."); } # Undefined action
  
  #&cgierr("Done.")  # Only for debugging - very useful. (prints all variables at the end)
}
