#!/usr/bin/perl


##########################################################
## Weiter nichts ndern ab hier
##########################################################

$body = qq|BODY LINK="#0033CC" VLINK="#990000" ALINK="#FF0000"|;
$font = qq|FONT FACE="verdana, univers, helvetica, arial" SIZE=-1|;

sub html_unknown_action {
# --------------------------------------------------------
# error page because user requested unknown action
  &html_print_headers;
  
  print qq~<HTML>
<HEAD><TITLE>Fehler: Unbekannter Befehl</TITLE></HEAD>
<BODY>
<H2>Fehler: Unbekannter Befehl</H2>
</BODY></HTML>
~;
}

sub html_nopermission {
# --------------------------------------------------------
# No user has permission to access database.
  &html_print_headers;
  
  print qq~<HTML>
<HEAD><TITLE>Zugriff verweigert</TITLE></HEAD>
<BODY>
<H2>Zugriff verweigert</H2>
</BODY></HTML>
~;
}

##########################################################
## Show details
##########################################################

sub html_showdetails_error {
# --------------------------------------------------------
# shows error msg
  my($msg) = shift;
  &html_print_headers;
  
  print qq~<HTML>
<HEAD><TITLE>FEHLER</TITLE></HEAD>
<$body>
<$font>
<H2>FEHLER</H2>
<STRONG>Grund: <FONT COLOR="#FF0000">$msg</FONT></STRONG>
</FONT>
</BODY></HTML>
~;
}

sub html_showdetails_success {
# --------------------------------------------------------
# Shows properties for user
  my($banners);
  for(@banners) { $banners .= qq|<A HREF="$userdata[6]"><IMG SRC="$_" BORDER="0" ALT=""></A>\n|; }
  
  &html_print_headers;
  print qq~<HTML>
<HEAD><TITLE>Zeige Details</TITLE></HEAD>
<$body>
<$font>
<H2>Zeige Details</H2>
<TABLE BGCOLOR="#FFFFCC" BORDER=2><TR><TD>
<TABLE BORDER=0>
<TR><TD VALIGN="TOP"><$font>Name:</FONT></TD><TD><$font>$userdata[1]</FONT></TD></TR>
<TR><TD VALIGN="TOP"><$font>E-Mail:</FONT></TD><TD><$font>$userdata[3]</FONT></TD></TR>
<TR><TD VALIGN="TOP"><$font>User ID:</FONT></TD><TD><$font>$userdata[0]</FONT></TD></TR>
<TR><TD VALIGN="TOP"><$font>Banner Counter:</FONT></TD><TD><$font>$userdata[8] Hits</FONT></TD></TR>
<TR><TD VALIGN="TOP"><$font>Klicks Counter:</FONT></TD><TD><$font>$userdata[10] Hits</FONT></TD></TR>
<TR><TD VALIGN="TOP"><$font>Verdienst:</FONT></TD><TD><$font>$db_currency $earnings</FONT></TD></TR>
<TR><TD VALIGN="TOP"><$font>Code:</FONT></TD><TD><PRE>$db_counteruse</PRE></FONT></TD></TR>
<TR><TD VALIGN="TOP"><$font>Banner:</FONT></TD><TD><$font>$banners</FONT></TD></TR>
</TABLE>
</TD></TR></TABLE><P>
</FONT>
</BODY></HTML>
~;
}


##########################################################
## Change password
##########################################################

sub html_changepwd_error {
# --------------------------------------------------------
# shows error msg
  &html_print_headers;
  
  print qq~<HTML>
<HEAD><TITLE>Passwort wechseln - Fehler</TITLE></HEAD>
<$body>
<$font>
<H2>Passwort wechseln fehlgeschlagen</H2>
<STRONG>Grund: <FONT COLOR="#FF0000">$_[0]</FONT></STRONG>
</FONT>
</BODY></HTML>
~;
}

sub html_changepwd_success {
# --------------------------------------------------------
# shows success msg
  &html_print_headers;
  
  print qq~<HTML>
<HEAD><TITLE>Passwort erfolgreich gendert</TITLE></HEAD>
<$body>
<$font>
<H2>Passwort erfolgreich gendert</H2>
</FONT>
</BODY></HTML>
~;
}

1;