#!/usr/bin/perl

###################################
# Weiter nichts ndern ab hier
###################################

require "admin/clicount.cfg";

$mode++  if($ENV{'PATH_INFO'} =~ /click/i);
$mode++  if($ENV{'PATH_INFO'} =~ /clickportal/i);


($ENV{'QUERY_STRING'} =~ /id=(.{6})/ and $id = $1) or &error("Unknown ID");
open(CNTINFO, '<'.$db_prtinfo_path) or &error("Can't open count info database. Grund: $!");
$db_user_flock and (flock(CNTINFO, 1) or &error("Can't get file lock on count info database. Grund: $!"));
while(<CNTINFO>) {
  !/^$id/ and next;
  chomp;
  ($id, $dest_url, @banner_urls) = split /\|/;
}
close CNTINFO;
&error("Unknown ID")  if(!$dest_url);


$output = "Location: <%DEST_URL%>\n\n";
if(!$mode) {
  (open(CLIENT, '>>'.$db_data_path.'/'.$id."_banner") or &error("Can't open client log for writing. Grund: $!"));
  $db_user_flock and (flock(CLIENT, 2) or &error("Can't get exclusive file lock on client log. Grund: $!"));
  print CLIENT $ENV{'REMOTE_ADDR'}.'|'.time()."\n";
  close CLIENT;
  (srand and $dest_url = $banner_urls[rand(@banner_urls)])  if(!$mode);
}
elsif($mode == 1 && $ENV{'HTTP_REFERER'} =~ /^$db_cgibin_url\/portal.pl\/clickportal\?id=$id/) {
  (open(CLIENT, '>>'.$db_data_path.'/'.$id."_click") or &error("Can't open client log for writing. Grund: $!"));
  $db_user_flock and (flock(CLIENT, 2) or &error("Can't get exclusive file lock on client log. Grund: $!"));
  print CLIENT $ENV{'REMOTE_ADDR'}.'|'.time()."\n";
  close CLIENT;
}
elsif($mode == 2) {
  $output = "Content-type: text/html\n\n";
  (open(PRTSITE, '<'.$db_prtsite_path) or &error("Can't open portal site. Grund: $!"));
  $db_user_flock and (flock(PRTSITE, 1) or &error("Can't get file lock on portal site. Grund: $!"));
  while(<PRTSITE>) { $output .= $_; }
  close PRTSITE;
  $dest_url = $db_cgibin_url."/portal.pl/click?id=$id";
}
$output =~ s/<%DEST_URL%>/$dest_url/gi;
print $output;

sub error {
# --------------------------------------------------------
  $msg = shift;
  if($msg eq "Unknown ID" && !$mode) {
    print "Location: $db_html_url/err_noid.gif\n\n";
  }
  else {
    print "Content-type: text/plain\n\n";
    print "ERROR: $msg\n";
  }
  exit(1);
}
